Subject: Re: bug#21925: Additional information for bug report: 21925

From: Efraim Flashner <[email-masked]>
Date: Mon, 16 Nov 2015 23:08:03 +0200

On Sun, 15 Nov 2015 02:19:24 -0800
Chris Marusich <[email-masked]> wrote:

> Hi,
> 
> I've noticed that I also experience similar failures when I try to
> install certain packages. For example, I cannot install ncurses or
> autoconf:
> 
> marusich@garuda ~$ guix package -i autoconf
> guix package: error: socket: Protocol not supported
> marusich@garuda ~$ guix package -i ncurses
> guix package: error: socket: Protocol not supported
> 
> However, I CAN install python:
> 
> marusich@garuda ~$ guix package -i python
> The following package will be installed:
>    python	3.4.3	/gnu/store/y5x6c38fzrbfl80jxrgjd6py2k88x12a-python-3.4.3
> [... I've omitted the rest of the output ...]
> 
> I've noticed that ncurses and autoconf both use the "mirror://" pseudo
> protocol; perhaps this is somehow related to the problem?
> 
> gnu/packages/ncurses.scm:
> ...
>     (package
>      (name "ncurses")
>      (version "6.0")
>      (source (origin
>               (method url-fetch)
>               (uri (string-append "mirror://gnu/ncurses/ncurses-"
>                                   version ".tar.gz"))
> ...
> gnu/packages/autotools.scm:
> ...
> (define-public autoconf
>   (package
>     (name "autoconf")
>     (version "2.69")
>     (source
>      (origin
>       (method url-fetch)
>       (uri (string-append "mirror://gnu/autoconf/autoconf-"
>                           version ".tar.xz"))
> ...
> 
> However, the python module uses "https://":
> 
> gnu/packages/python.scm
> ...
> (define-public python
>   (package (inherit python-2)
>     (version "3.4.3")
>     (source (origin
>               (method url-fetch)
>               (uri (string-append "https://www.python.org/ftp/python/"
>                                   version "/Python-" version ".tar.xz"))
> ...
> 
> If there's any way I can provide more information, please let me know.
> I'm having trouble debugging this any further because I'm just
> starting to learn Guile; no matter what I do I can't seem to make guix
> give me additional information beyond "Protocol not supported."
> 
> I hope this information helps.
> 
> - Chris
> 
> 
> 
copied from the end of your log:

+ guix package --bootstrap -p t-profile-21455 -e '(@@ (gnu packages commencement) gnu-make-boot0)'
accepted connection from pid 21586, user marusich
looking for the latest release of GNU make-boot0...
                                                   
guix package: error: socket: Protocol not supported

"looking for latest release" is the automagic checker looking for a new
upstream release of GNU make (i think), and the other two, ncurses and
autoconf, I believe also trip the autochecker to see if there's a new
upstream release.

As to the actual error, I'm not sure

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted